Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Class MRTMPMinaTransport

    java.lang.Object
      org.red5.server.net.mrtmp.MRTMPMinaTransport

    public class MRTMPMinaTransport

extends Object

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`MRTMPMinaTransport()`

Method Summary
`void` | `setAddress(String address)`
`void` | `setEventThreadsCore(int eventThreadsCore)`
`void` | `setEventThreadsKeepalive(int eventThreadsKeepalive)`
`void` | `setEventThreadsMax(int eventThreadsMax)`
`void` | `setEventThreadsQueue(int eventThreadsQueue)`
`void` | `setIoHandler(IoHandlerAdapter rtmpIOHandler)`
`void` | `setIoThreads(int ioThreads)`
`void` | `setIsLoggingTraffic(boolean isLoggingTraffic)`
`void` | `setPort(int port)`
`void` | `setReceiveBufferSize(int receiveBufferSize)`
`void` | `setSendBufferSize(int sendBufferSize)`
`void` | `setTcpNoDelay(boolean tcpNoDelay)`
`void` | `setUseHeapBuffers(boolean useHeapBuffers)`
`void` | `start()`
`void` | `stop()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MRTMPMinaTransport

    public MRTMPMinaTransport()

Method Detail

### setAddress

    public void setAddress(String address)

### setEventThreadsCore

    public void setEventThreadsCore(int eventThreadsCore)

### setEventThreadsKeepalive

    public void setEventThreadsKeepalive(int eventThreadsKeepalive)

### setEventThreadsMax

    public void setEventThreadsMax(int eventThreadsMax)

### setEventThreadsQueue

    public void setEventThreadsQueue(int eventThreadsQueue)

### setIoHandler

    public void setIoHandler(IoHandlerAdapter rtmpIOHandler)

### setIoThreads

    public void setIoThreads(int ioThreads)

### setIsLoggingTraffic

    public void setIsLoggingTraffic(boolean isLoggingTraffic)

### setPort

    public void setPort(int port)

### setReceiveBufferSize

    public void setReceiveBufferSize(int receiveBufferSize)

### setSendBufferSize

    public void setSendBufferSize(int sendBufferSize)

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

### setUseHeapBuffers

    public void setUseHeapBuffers(boolean useHeapBuffers)

### start

    public void start()
               throws Exception

  Throws:
    `Exception`

### stop

    public void stop()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project